<!DOCTYPE html>
<!--[if lt IE 7]>  <html class="no-js lt-ie9 lt-ie8 lt-ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>     <html class="no-js lt-ie9 lt-ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>     <html class="no-js lt-ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title><?php wp_title('|', true, 'right'); ?></title>
        <meta name="viewport" content="width=device-width">

        <link rel="profile" href="http://gmpg.org/xfn/11">
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

		<?php
		$header_style = '';
		$header_image = get_header_image();
		if ($header_image != '') {
			$header_style = "background-image: url('" . $header_image . "');";
		}
		?>

		<?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <!--[if lt IE 8]>
                <p class="chromeframe">
		<?php _e('You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> or <a href="http://www.google.com/chromeframe/?redirect=true">activate Google Chrome Frame</a> to improve your experience.', 'omaha'); ?>
		</p>
        <![endif]-->
		<div id="header" style="<?php echo $header_style; ?>">
			<div class="container page-container">
				<header role="banner">
					<div class="row row-with-vspace site-branding">
						<div class="col-md-6 site-title">
							<h1 class="site-title-heading">
								<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php bloginfo('name'); ?></a>
							</h1>
							<!--                        <div class="site-description">
							<small>
							<?php bloginfo('description'); ?> 
							 </small>
							 </div>-->
						</div>
						<div class="col-md-6 page-header-top-right">
							<div class="sr-only">
								<a href="#content" title="<?php esc_attr_e('Skip to content', 'omaha'); ?>"><?php _e('Skip to content', 'omaha'); ?></a>
							</div>
							<?php if (is_active_sidebar('header-right')) { ?> 
								<div class="pull-right">
									<?php dynamic_sidebar('header-right'); ?> 
								</div>
								<div class="clearfix"></div>
							<?php } // endif; ?> 
						</div>
					</div><!--.site-branding-->
				</header>
			</div>
		</div>
		<div class="bg-shadow">
			<div class="container page-container">
				<header role="banner">
					<div class="row main-navigation">
						<div class="col-md-12">
							<nav class="navbar navbar-omaha" role="navigation">
								<div class="navbar-header">
									<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-primary-collapse">
										<span class="sr-only"><?php _e('Toggle navigation', 'omaha'); ?></span>
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
									</button>
								</div>
								<?php
								wp_nav_menu(array(
									'theme_location' => 'primary',
									'depth' => 2,
									'container' => 'div',
									'container_class' => 'collapse navbar-collapse navbar-primary-collapse',
									'menu_class' => 'nav navbar-nav',
									'fallback_cb' => 'wp_bootstrap_navwalker::fallback',
									'walker' => new wp_bootstrap_navwalker()
								));
								?> 
							</nav>
						</div>
					</div><!--.main-navigation-->
				</header>
			</div>
		</div>
		<div class="container page-container">

			<div id="content" class="row row-with-vspace site-content">